XQuery2IQL
Keywords: uk.ac.bbk.dcs.automed.qproc.translators.xquery.XQuery2IQL class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.qproc.translators.xquery
Class XQuery2IQL

    java.lang.Object
      uk.ac.bbk.dcs.automed.qproc.translators.xquery.XQuery2IQL

All Implemented Interfaces:
  Translator, XQuery2IQLConstants

    public class XQuery2IQL

extends java.lang.Object
implements Translator, XQuery2IQLConstants

Field Summary
`static java.lang.String` | `AutoMedXMLAttText`
`static java.lang.String` | `AutoMedXMLText`
`Token` | `jj_nt`
`boolean` | `lookingAhead`
`Token` | `token`
`XQuery2IQLTokenManager` | `token_source`

Fields inherited from interface uk.ac.bbk.dcs.automed.qproc.translators.xquery.XQuery2IQLConstants
`AND, AS, ASSIGN, AT, CASE, COLON, COMMA, CONSTANT, DECLARE, DEFAULT, DIVIDE, DOCTOKEN, ELSE, EOF, EQUALS, FOR, FUNCTION, GREATER_THAN, GREATER_THAN_EQUALS, IF, IN, INT_DIVIDE, LB, LESS_THAN, LESS_THAN_EQUALS, LET, LP, LSB, MINUS, MOD, NCTOKEN, NOT_EQUALS, NUMBER, OR, PATHATTTOKEN, PATHTEXTTOKEN, PATHTOKEN, PLUS, QNAME, RB, RETURN, RP, RSB, SATISFIES, SLASHATTR, SOME, STAR, STRINGTOKEN, THEN, tokenImage, VALUE_EQUALS, VALUE_GREATER_THAN, VALUE_GREATER_THAN_EQUALS, VALUE_LESS_THAN, VALUE_LESS_THAN_EQUALS, VALUE_NOT_EQUALS, VARTOKEN, WHERE`

Constructor Summary
`XQuery2IQL(java.io.InputStream stream)`
`XQuery2IQL(java.io.Reader stream)`
`XQuery2IQL(java.io.StringReader sr, org.w3c.dom.Document schemaUIDDoc)`
`XQuery2IQL(XQuery2IQLTokenManager tm)`

Method Summary
`java.lang.String` | `arithmeticFunction()`
`java.lang.String` | `arithmOp()`
`java.lang.String` | `comparison()`
`java.lang.String` | `compOp()`
`void` | `disable_tracing()`
`void` | `enable_tracing()`
`java.lang.String` | `FLWRExpression()`
`void` | `forExpr(java.util.HashMap forMap)`
`void` | `forVariable(java.util.HashMap forMap)`
`ParseException` | `generateParseException()`
`java.lang.String` | `getIQL()`
`Token` | `getNextToken()`
`Token` | `getToken(int index)`
`java.lang.String` | `IQLFunction()`
`void` | `letExpr(java.util.HashMap letMap)`
`void` | `parse()`
`java.lang.String` | `query()`
`void` | `ReInit(java.io.InputStream stream)`
`void` | `ReInit(java.io.Reader stream)`
`void` | `ReInit(XQuery2IQLTokenManager tm)`
`java.lang.String` | `returnExpr(java.util.HashMap forMap)`
`java.lang.String` | `translatePath(java.util.LinkedList l, java.lang.String var)`
`java.lang.String` | `translateResult(ASG g)`
`void` | `whereExpr(java.util.LinkedList whereList)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AutoMedXMLText

    public static final java.lang.String AutoMedXMLText

See Also:
  Constant Field Values

### AutoMedXMLAttText

    public static final java.lang.String AutoMedXMLAttText

See Also:
  Constant Field Values

### token_source

    public XQuery2IQLTokenManager token_source

### token

    public Token token

### jj_nt

    public Token jj_nt

### lookingAhead

    public boolean lookingAhead

Constructor Detail

### XQuery2IQL

    public XQuery2IQL(java.io.StringReader sr,
                      org.w3c.dom.Document schemaUIDDoc)

### XQuery2IQL

    public XQuery2IQL(java.io.InputStream stream)

### XQuery2IQL

    public XQuery2IQL(java.io.Reader stream)

### XQuery2IQL

    public XQuery2IQL(XQuery2IQLTokenManager tm)

Method Detail

### getIQL

    public java.lang.String getIQL()

  Specified by:
    `getIQL` in interface `Translator`

### translateResult

    public java.lang.String translateResult(ASG g)

  Specified by:
    `translateResult` in interface `Translator`

### parse

    public final void parse()
                     throws ParseException,
                            java.lang.Exception

  Throws:
    `ParseException`
    `java.lang.Exception`

### query

    public final java.lang.String query()
                                 throws ParseException,
                                        java.lang.Exception

  Throws:
    `ParseException`
    `java.lang.Exception`

### FLWRExpression

    public final java.lang.String FLWRExpression()
                                          throws ParseException,
                                                 java.lang.Exception

  Throws:
    `ParseException`
    `java.lang.Exception`

### forExpr

    public final void forExpr(java.util.HashMap forMap)
                       throws ParseException

  Throws:
    `ParseException`

### forVariable

    public final void forVariable(java.util.HashMap forMap)
                           throws ParseException

  Throws:
    `ParseException`

### translatePath

    public final java.lang.String translatePath(java.util.LinkedList l,
                                                java.lang.String var)
                                         throws ParseException

  Throws:
    `ParseException`

### letExpr

    public final void letExpr(java.util.HashMap letMap)
                       throws ParseException,
                              java.lang.Exception

  Throws:
    `ParseException`
    `java.lang.Exception`

### whereExpr

    public final void whereExpr(java.util.LinkedList whereList)
                         throws ParseException,
                                java.lang.Exception

  Throws:
    `ParseException`
    `java.lang.Exception`

### returnExpr

    public final java.lang.String returnExpr(java.util.HashMap forMap)
                                      throws ParseException

  Throws:
    `ParseException`

### comparison

    public final java.lang.String comparison()
                                      throws ParseException,
                                             java.lang.Exception

  Throws:
    `ParseException`
    `java.lang.Exception`

### compOp

    public final java.lang.String compOp()
                                  throws ParseException

  Throws:
    `ParseException`

### arithmeticFunction

    public final java.lang.String arithmeticFunction()
                                              throws ParseException

  Throws:
    `ParseException`

### arithmOp

    public final java.lang.String arithmOp()
                                    throws ParseException

  Throws:
    `ParseException`

### IQLFunction

    public final java.lang.String IQLFunction()
                                       throws ParseException,
                                              java.lang.Exception

  Throws:
    `ParseException`
    `java.lang.Exception`

### ReInit

    public void ReInit(java.io.InputStream stream)

### ReInit

    public void ReInit(java.io.Reader stream)

### ReInit

    public void ReInit(XQuery2IQLTokenManager tm)

### getNextToken

    public final Token getNextToken()

### getToken

    public final Token getToken(int index)

### generateParseException

    public ParseException generateParseException()

### enable_tracing

    public final void enable_tracing()

### disable_tracing

    public final void disable_tracing()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD